![]() | LevelMark Class |
The LevelMark class defines a drawing object that is displayed as a level mark in a drawing.
See the Tekla Structures help for more information.

SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingLevelMark
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingLevelMark
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.1

The LevelMark type exposes the following members.

Name | Description | |
---|---|---|
![]() | LevelMark(ViewBase, Point, Point) |
Initializes a new instance of the LevelMark class using the default standard attributes.
|
![]() | LevelMark(ViewBase, Point, Point, LevelMarkLevelMarkAttributes) |
Initializes a new instance of the LevelMark class using the given attributes.
|
![]() | LevelMark(ViewBase, Point, Point, ModelObject) |
Initializes a new instance of the LevelMark class using the given attributes.
|
![]() | LevelMark(ViewBase, Point, Point, PlacingBase) |
Initializes a new instance of the LevelMark class using the given attributes.
|
![]() | LevelMark(ViewBase, Point, Point, ModelObject, LevelMarkLevelMarkAttributes) |
Initializes a new instance of the LevelMark class using the given attributes.
|
![]() | LevelMark(ViewBase, Point, Point, PlacingBase, LevelMarkLevelMarkAttributes) |
Initializes a new instance of the LevelMark class using the given attributes.
|
![]() | LevelMark(ViewBase, Point, Point, PlacingBase, ModelObject) |
Initializes a new instance of the LevelMark class using the given attributes.
|
![]() | LevelMark(ViewBase, Point, Point, PlacingBase, ModelObject, LevelMarkLevelMarkAttributes) |
Initializes a new instance of the LevelMark class using the given attributes.
|

Name | Description | |
---|---|---|
![]() | Attributes |
Gets or sets the level mark attributes.
|
![]() | BasePoint |
Gets or sets the level mark base point.
|
![]() | Hideable |
Gets the information if this object is hidden or not or if it should be.
|
![]() | InsertionPoint |
Gets or sets the level mark insertion point.
|
![]() | ModelObjectIdentifier |
Gets the model object identifier
|
![]() | Placing |
Gets or sets the current placing of the object.
See the placing types for different placing options.
|
![]() | QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) |
![]() | SubType |
Gets or sets the subtype of the level mark.
|

Name | Description | |
---|---|---|
![]() | Delete |
Deletes the level mark from the current drawing database.
(Overrides DatabaseObjectDelete.) |
![]() | GetAxisAlignedBoundingBox |
Returns the axis aligned bounding box of the level mark (rectangle format).
|
![]() | GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) |
![]() | GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetObjectAlignedBoundingBox |
Returns the bounding box of the level mark (rectangle format).
|
![]() | GetObjects |
Gets the children objects of the current object.
|
![]() | GetObjects(Type) |
Gets the children objects of the current object that are of certain types.
|
![]() | GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) |
![]() | GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) |
![]() | GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) |
![]() | Insert |
Inserts the level mark into the current drawing database.
(Overrides DatabaseObjectInsert.) |
![]() | IsEqual |
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).) |
![]() | IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) |
![]() | Modify |
Modifies the level mark in the current drawing database.
(Overrides DatabaseObjectModify.) |
![]() | MoveObjectRelative |
Moves the object using the move vector.
|
![]() | Select |
Selects the level mark from the current drawing database.
(Overrides DatabaseObjectSelect.) |
![]() | SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |

using Tekla.Structures.Drawing; using Tekla.Structures.Drawing.UI; using Tekla.Structures.Geometry3d; namespace Example { class Program { public static void LevelMarkModify() { DrawingHandler myDrawingHandler = new DrawingHandler(); DrawingObjectSelector dos = myDrawingHandler.GetDrawingObjectSelector(); DrawingObjectEnumerator allObjectsOnSheet = dos.GetSelected(); while(allObjectsOnSheet.MoveNext()) { if(allObjectsOnSheet.Current is Tekla.Structures.Drawing.LevelMark) { LevelMark levelMark = allObjectsOnSheet.Current as Tekla.Structures.Drawing.LevelMark; levelMark.Attributes.Font.Height = 5; levelMark.Attributes.Font.Color = DrawingColors.Red; levelMark.Attributes.Frame.Color = DrawingColors.Yellow; levelMark.Attributes.Frame.Type = FrameTypes.Round; bool res = levelMark.Modify(); } } } public static LevelMark GetSelectedLevelMark() { DrawingHandler myDrawingHandler = new DrawingHandler(); DrawingObjectSelector dos = myDrawingHandler.GetDrawingObjectSelector(); DrawingObjectEnumerator allObjectsOnSheet = dos.GetSelected(); while(allObjectsOnSheet.MoveNext()) { if(allObjectsOnSheet.Current is Tekla.Structures.Drawing.LevelMark) { LevelMark levelMark = allObjectsOnSheet.Current as Tekla.Structures.Drawing.LevelMark; return levelMark; } } return null; } public static void LevelMarkCreateAsACopy() { var levelmark = GetSelectedLevelMark(); levelmark.InsertionPoint.X += 100; levelmark.Insert(); } public static void LevelMarkCreate() { DrawingHandler MyDrawingHandler = new DrawingHandler(); var drawing1 = MyDrawingHandler.GetActiveDrawing(); var sheet1 = drawing1.GetSheet(); var allviews = sheet1.GetAllViews(); foreach(var item in allviews) { ViewBase view = item as ViewBase; LeaderLinePlacing leaderLinePlacing = new LeaderLinePlacing(new Point(0000, 1000, 0)); LevelMark levelMark = new LevelMark(view, new Point(1000, 2000, 0), leaderLinePlacing); levelMark.Attributes.Font.Height = 4.0; bool res = levelMark.Insert(); } } static void Main(string[] args) { LevelMarkCreate(); //LevelMarkCreateAsACopy(); //LevelMarkModify(); DrawingHandler myDrawingHandler = new DrawingHandler(); myDrawingHandler.GetActiveDrawing().CommitChanges(); } } }
